## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate below-common

Name:           rust-below-common
Version:        0.6.3
Release:        %autorelease
Summary:        Common below code

License:        Apache-2.0
URL:            https://crates.io/crates/below-common
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# - bump cursive to 0.20
# - restore use of regex default features (back out https://github.com/facebookincubator/below/pull/8164)
Patch:          below-common-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Common below code.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 18 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.3-2
- Per upstream suggestion, back out PR 8164 instead of adding regex-syntax

* Wed Jan 18 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Feb 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0 (resolves: rhbz#2047956)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1; Fixes: RHBZ#2022243

* Fri Oct 22 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0; Fixes: RHBZ#2016547

* Thu Jul 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0; Fixes: RHBZ#1983804

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.0-1
- Initial package

